﻿#!/bin/sh

#Suport MOD: WK Tools

#include
#init ezx env
. /etc/initservices/services/ezxenv.sh

#VAR'S
SEC=0
mypath=${0%/*}
export PATH=${0%/*}:$PATH

LANGSTR=`grep '^LanguageType = ' /ezxlocal/download/appwrite/setup/ezx_system.cfg | sed 's,^LanguageType = ,,'`
if [ "$LANGSTR" = "" ]
then
	LANGSTR="en-us"
fi

if [ ! -f "${mypath}/TIMER_${LANGSTR}.lang" ]
then
	FT_MS="Timeout after $1 sec"
	FT_OK="Timeout!!!"
	FT_INP="Please input timeout in sec"
else
	. "${mypath}/TIMER_${LANGSTR}.lang"
fi

TIMER()
{
	showNotify "TIMER by syberside" "$FT_MS1 $1 $FT_MS2" 1 1
	sleep $1
	if [ $? -eq 0 ]; then
	/usr/bin/mediaplayer
	fi
}

TIMEOUT=`showTextEntry 0 "TIMER by syberside" "$FT_INP"`
TIMER $TIMEOUT
exit $?
